Bug 26394 - .mailmap needs to be updated
Summary: .mailmap needs to be updated
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 26621
  Show dependency treegraph
 
Reported: 2020-09-04 16:25 UTC by Jonathan Druart
Modified: 2021-06-20 05:57 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
The .mailmap file is used to map author and committer names and email addresses to canonical real names and email addresses. It has been improved to reflect the current project's history. It helps to have a cleaner authors list and prevents duplicate http://git.koha-community.org/stats/koha-master/authors.html
Version(s) released in:
20.11.00,20.05.13,19.11.19


Attachments
Bug 26394: Update .mailmap (24.62 KB, patch)
2020-09-04 16:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26394: Update .mailmap (24.42 KB, patch)
2020-09-10 11:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26394: Update .mailmap (24.52 KB, patch)
2020-09-11 06:49 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-09-04 16:25:37 UTC
The .mailmap file used to generate the stats is different from the one we have in our repo. It's much more complete and should be integrated into Koha.
Comment 1 Jonathan Druart 2020-09-04 16:26:28 UTC
Created attachment 109679 [details] [review]
Bug 26394: Update .mailmap

The .mailmap file used to generate the stats is different from the one we have in our repo. It's much more complete and should be integrated into Koha.

Test plan:
Confirm that the different mappings are correct
Comment 2 Martin Renvoize 2020-09-10 11:16:22 UTC
Created attachment 109843 [details] [review]
Bug 26394: Update .mailmap

The .mailmap file used to generate the stats is different from the one we have in our repo. It's much more complete and should be integrated into Koha.

Test plan:
Confirm that the different mappings are correct

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2020-09-10 11:18:24 UTC
These look good to me.. I compared them to the dev_map.yaml we have in the release tools and on visual inspection that all seemed to agree with each other.

At some point, I should write a script to merge to two and then dump the custom format yaml from the release tools so we can rely on just the mailmap file and encourage its ongoing maintenance by the rm/rmaints.
Comment 4 Marcel de Rooy 2020-09-11 06:44:49 UTC
QAing :)
Comment 5 Marcel de Rooy 2020-09-11 06:49:22 UTC
Created attachment 109882 [details] [review]
Bug 26394: Update .mailmap

The .mailmap file used to generate the stats is different from the one we have in our repo. It's much more complete and should be integrated into Koha.

Test plan:
Confirm that the different mappings are correct

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2020-09-11 07:59:26 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-10-15 21:31:19 UTC
enhancement will not be backported to 20.05.x
Comment 8 Victor Grousset/tuxayo 2021-06-09 00:46:21 UTC
Backported: Pushed to 20.05.x branch for 20.05.13
Comment 9 wainuiwitikapark 2021-06-18 01:34:40 UTC
Not backported to 19.11.x

Enhancement
Comment 10 Jonathan Druart 2021-06-18 07:27:58 UTC
(In reply to wainuiwitikapark from comment #9)
> Not backported to 19.11.x
> 
> Enhancement

I would backport it, even if it's an enhancement, it's safe.

You may need it at some point, the release_tools scripts are using it now.

Same for bug 26621, bug 28386 and bug 28442
Comment 11 wainuiwitikapark 2021-06-20 05:56:32 UTC
Backported to 19.11.x for 19.11.19